> ## Documentation Index
> Fetch the complete documentation index at: https://hoopdev-docs-improve-idp-sso-pages.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agent Keys

> List all agent keys



## OpenAPI

````yaml https://use.hoop.dev/api/openapiv3.json get /agents
openapi: 3.0.3
info:
  contact:
    email: help@hoop.dev
    name: Help
    url: https://help.hoop.dev
  description: >-
    Hoop.dev is an access gateway for databases and servers with an API for
    packet manipulation
  license:
    name: MIT
    url: https://opensource.org/license/mit
  termsOfService: https://hoop.dev/docs/legal/tos
  title: Hoop Api
  version: 1.49.10
servers:
  - url: https://use.hoop.dev/api
security: []
tags:
  - description: >
      Hoop implements Oauth2 and OIDC protocol to authenticate users in the
      system. To obtain a valid access token users need to authenticate in their
      own identity provider which is generated as a JSON response to the
      endpoint `http(s)://use.hoop.dev/api/login`. The identity provider them
      redirects the user to the callback endpoint containing the access token.


      The recommended approach of obtaining an access token is by visiting the
      Webapp main's page or using the **Hoop command line**. Example:


      ```sh

      hoop config create --api-url https://use.hoop.dev

      # save the token after authenticating at $HOME/.hoop/config.toml

      hoop login

      # show token information

      hoop config view --raw

      ```


      With an access token you could use any HTTP client to interact with the
      documented endpoints.

      The token must be sent through the `Authorization` header.


      Example:


      ```sh

      # obtain the current configuration of the server

      curl https://use.hoop.dev/api/serverinfo -H "Authorization: Bearer
      $ACCESS_TOKEN"

      ```
    name: Authentication
  - description: >
      Users are active and assigned to the default organization when they
      signup. A user could be set to an inactive state preventing it from
      accessing the platform, however it’s recommended to manage the state of
      users in the identity provider.


      - The `sub` claim is used as the main identifier of the user in the
      platform.

      - The profile of the user is derived from the id_token claims `email` and
      `name`.


      When a user authenticates for the first time, it performs an automatic
      signup that persist the profile claims along with it’s unique identifier.

      ​

      ### Groups


      Groups allows defining who may access or interact with certain resources.


      - For connection resources it’s possible to define which groups has access
      to a specific connection, this is enforced when the Access Control feature
      is enabled.

      - For review resources, it’s possible to define which groups are allowed
      to approve an execution, this is enforced when the Review feature is
      enabled.


      > This resource could be managed manually via Webapp or propagated by the
      identity provider via ID Token. In this mode, groups are sync when a user
      performs a login.


      ### Roles


      - The `admin` group is a special role that grants full access to all
      resources


      This role should be granted to users that are responsible for managing the
      Gateway. All other users are regular, meaning that they can access their
      own resources and interact with connections.
    name: User Management
  - description: Routes used to manage and obtain information about the runtime server.
    name: Server Management
  - description: Features available in the gateway. See also **Plugin** resources.
    name: Features
  - description: >-
      Proxy manager endpoints controls how clients connect via gRPC in the
      gateway. These endpoints are meant to be used when a client is initialized
      via `hoop proxy-manager`.
    name: Proxy Manager
  - name: Connections
  - name: Agents
  - name: Runbooks
  - name: Guard Rails
  - name: Reviews
  - name: Sessions
  - name: Organization Management
  - name: Reports
paths:
  /agents:
    get:
      tags:
        - Agents
      summary: List Agent Keys
      description: List all agent keys
      parameters:
        - description: Filter by status (CONNECTED or DISCONNECTED)
          in: query
          name: status
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/openapi.AgentResponse'
                type: array
          description: OK
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/openapi.HTTPError'
          description: Internal Server Error
components:
  schemas:
    openapi.AgentResponse:
      properties:
        compiler:
          example: gcc
          type: string
        goversion:
          example: 1.22.4
          type: string
        hostname:
          description: DEPRECATE top level metadata keys
          example: john.wick.local
          type: string
        id:
          description: Unique ID of the resource
          example: 8a4239fa-5116-4bbb-ad3c-ea1f294aac4a
          format: uuid
          type: string
        kernel_version:
          example: Linux 9acfe93d8195 5.15.49-linuxkit
          type: string
        machine_id:
          example: ''
          type: string
        metadata:
          additionalProperties:
            type: string
          description: >-
            Metadata contains attributes regarding the machine where the agent
            is being executed

            * version - Version of the agent

            * go-version - Agent build information

            * compiler - Agent build information

            * platform - The operating system architecture where the agent is
            running

            * machine-id - The machine id of server

            * kernel-version - The kernel version of the server
          example:
            compiler: gcc
            hostname: johnwick.local
            kernel-version: Linux 9acfe93d8195 5.15.49-linuxkit
            machine-id: id
            platform: amd64
            version: 1.23.14
          type: object
        mode:
          description: >-
            Mode of execution of the agent

            * standard - Is the default mode, which is suitable to run the agent
            as a standalone process

            * embedded - This mode is suitable when the agent needs to be run
            close to another process or application
          enum:
            - standard
            - embedded
          example: standard
          type: string
        name:
          description: Unique name of the resource
          example: default
          type: string
        platform:
          example: amd64
          type: string
        status:
          description: |-
            The status of the agent
            * CONNECTED - The agent is connected with the gateway
            * DISCONNECTED - The agent is disconnected from the gateway
          enum:
            - CONNECTED
            - DISCONNECTED
          example: DISCONNECTED
          type: string
        token:
          description: The token/key of the resource, this value is always empty for now
          type: string
        version:
          example: 1.23.10
          type: string
      type: object
    openapi.HTTPError:
      properties:
        message:
          example: the error description
          type: string
      type: object

````